if ( SERVER ) then

	AddCSLuaFile( "shared.lua" )
	
	SWEP.HoldType			= "melee"
	
end

if ( CLIENT ) then

	SWEP.PrintName			= "Yoruichi" 
	SWEP.Author				= "Captain Pip" 
	SWEP.Purpose		= ""
	SWEP.Instructions	= "Primary=Punch secondary=Start shunpo Reload=end"
	SWEP.Slot				= 3
	SWEP.SlotPos			= 3
	

	SWEP.WepSelectIcon		= surface.GetTextureID( "weapons/swep" )
	
end


SWEP.DrawCrosshair      = false
--SWEP.Base				= "weapon_cs_base"

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true

SWEP.ViewModel			= "models/weapons/v_hands.mdl" --view model
SWEP.WorldModel			= "models/weapons/w_hands.mdl" --world model
SWEP.ViewModelFlip		= true

SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Delay			= 0.9 	--In seconds
SWEP.Primary.Recoil			= 0		--Gun Kick
SWEP.Primary.Damage			= 5	--Damage per Bullet
SWEP.Primary.NumShots		= 1		--Number of shots per one fire
SWEP.Primary.Cone			= 0 	--Bullet Spread
SWEP.Primary.ClipSize		= 1000	--Use "-1 if there are no clips"
SWEP.Primary.DefaultClip	= 1000	--Number of shots in next clip
SWEP.Primary.Automatic   	= true	--Pistol fire (false) or SMG fire (true)
SWEP.Primary.Ammo         	= "pistol"	--Ammo Type

SWEP.Secondary.Delay		= 0.9
SWEP.Secondary.Recoil		= 0
SWEP.Secondary.Damage		= 0
SWEP.Secondary.NumShots		= 1
SWEP.Secondary.Cone			= 0
SWEP.Secondary.ClipSize		= 1000
SWEP.Secondary.DefaultClip	= 1000
SWEP.Secondary.Automatic   	= false
SWEP.Secondary.Ammo         = "pistol"

function SWEP:Initialize()

self.IsJumping = 0
self.NextJumpTime = 0
util.PrecacheSound("physics/flesh/flesh_impact_bullet" .. math.random( 3, 5 ) .. ".wav")
util.PrecacheSound("weapons/iceaxe/iceaxe_swing1.wav")

end


function SWEP:PrimaryAttack()
self.Weapon:SetNextPrimaryFire(CurTime() + .4)

local trace = self.Owner:GetEyeTrace()

if trace.HitPos:Distance(self.Owner:GetShootPos()) <= 75 then
self.Weapon:SendWeaponAnim(ACT_VM_HITCENTER)
	bullet = {}
	bullet.Num    = 1
	bullet.Src    = self.Owner:GetShootPos()
	bullet.Dir    = self.Owner:GetAimVector()
	bullet.Spread = Vector(0, 0, 0)
	bullet.Tracer = 0
	bullet.Force  = 20
	bullet.Damage = 25
self.Owner:FireBullets(bullet)
self.Owner:SetAnimation( PLAYER_ATTACK1 );
self.Weapon:EmitSound("physics/flesh/flesh_impact_bullet" .. math.random( 3, 5 ) .. ".wav")
else
	self.Weapon:EmitSound("weapons/iceaxe/iceaxe_swing1.wav")
	self.Weapon:SendWeaponAnim(ACT_VM_MISSCENTER)
end

end

function SWEP:SecondaryAttack()

	if ( !self:CanSecondaryAttack() or self.IsJumping == 1 ) then
		return
	end
	
	if self.IsJumping == 0 then
	
		self.IsJumping = 1
		
		self.Owner:SetMoveType( 4 )
		self.Owner:SetColor( 0, 0, 0, 0 )
		self.Weapon:SetColor( 0, 0, 0, 0 )  
			
		self.NextJumpTime = CurTime() + math.random( 3, 4 )
		self.Owner:SetMaxSpeed( 1500 )

		self.Owner:ConCommand("pp_dof_initlength 9")
		self.Owner:ConCommand("pp_dof_spacing 8")
		

	end
	
	// Play shoot sound
	self.Owner:EmitSound(Sound("player/suit_sprint.wav"))
	self.Weapon:EmitSound("ambient/wind/wind_hit2.wav", 100, 60)
	
end

function SWEP:Reload()

local trace = self.Owner:GetEyeTrace()

	if self.IsJumping == 1 then

		self.IsJumping = 0 

		self.Owner:ConCommand("pp_dof 0")
		
		self.Owner:SetColor( 255, 255, 255, 255 )
		self.Owner:SetVelocity(self.Owner:GetForward() * 200 + Vector(0,0,200))
		self.Owner:SetMoveType( 2 )
		self.Owner:SetMaxSpeed( 200 )
		self.NextJumpTime = CurTime()
		
	end
	
end

function SWEP:Think()
	
	if self.NextJumpTime == CurTime() then

		self.IsJumping = 0
		
		self.Owner:ConCommand("pp_dof 0")
		self.Owner:SetColor( 255, 255, 255, 255 )
		self.Owner:SetVelocity(self.Owner:GetForward() * 200 + Vector(0,0,200))
		self.Owner:SetMoveType( 2 )
		self.Owner:SetMaxSpeed( 200 )
		
	end
	
end

