SWEP.Base = "weapon_base"
-- Effect settings
SWEP.PrintName		= "Kido"
SWEP.Slot			= 3					
SWEP.SlotPos		= 0					
SWEP.DrawAmmo		= false				
SWEP.DrawCrosshair	= false
SWEP.ViewModel		= "models/weapons/v_hands.mdl"		
SWEP.WorldModel		= "models/weapons/w_hands.mdl"
SWEP.HoldType		= "melee"
-- Other settings
SWEP.Weight				= 2
SWEP.AutoSwitchTo		= false	
SWEP.AutoSwitchFrom		= false	
SWEP.Spawnable			= true	
SWEP.AdminSpawnable		= true	
 
-- Weapon info
SWEP.Author			= "Captain Pip"
SWEP.Instructions	= "kill"

-- Primary fire settings
SWEP.Primary.ClipSize		= 1000
SWEP.Primary.DefaultClip	= 1000
SWEP.Primary.Automatic		= false	
SWEP.Primary.Ammo			= "Pistol"
SWEP.Primary.Delay              = 1.3

-- Secondary fire settings
SWEP.Secondary.ClipSize		= 1000
SWEP.Secondary.DefaultClip	= 1000
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "Pistol"
SWEP.Secondary.Delay             = 1.3

function SWEP:PrimaryAttack()
	if ( !self:CanPrimaryAttack() ) then return end
local shootpos = self.Owner:GetPos()
local viewang = self.Owner:GetForward( )
 shootpos.z = shootpos.z + 35
  shootpos = shootpos + (viewang * 20)
 	local ent = ents.Create( "prop_physics" )
	ent:SetPos( shootpos )
	ent:SetModel("models/props_junk/gascan001a.mdl")
	ent:Spawn()
	ent:SetColor(0,0,0,0)
	local fire = ents.Create( "env_fire_trail" )
	fire:SetPos( shootpos )
	fire:Spawn()
	fire:SetParent(ent)
	ent:Fire("physdamagescale","50",0)
	ent:Fire("addoutput","onhealthchanged !self,kill",0.1)
	local p = ent:GetPhysicsObject()
	p:EnableGravity(false)
	p:EnableDrag(false)
	p:SetMass(20)
	local f = self.Owner:GetAimVector() * 99999
	p:ApplyForceCenter(f)
	ent:SetPhysicsAttacker( self.Owner)
	self:TakePrimaryAmmo(1)
end

function SWEP:SecondaryAttack()


if ( !self:CanSecondaryAttack() ) then return end

self.Weapon:EmitSound(Sound("Weapon_AWP.Single"))

self:ShootBullet( 100, 1, 0 )

self:TakePrimaryAmmo( 1 )

self.Owner:ViewPunch( Angle( 0, 0, 0 ) )
self.Weapon:SetNextPrimaryFire( CurTime() + 0.2 )

local trace = self.Owner:GetEyeTrace()
local effectdata = EffectData()
effectdata:SetOrigin( trace.HitPos )
effectdata:SetNormal( trace.HitNormal )
effectdata:SetEntity( trace.Entity )
effectdata:SetAttachment( trace.PhysicsBone )
util.Effect( "super_explosion", effectdata )

local effectdata = EffectData()
effectdata:SetOrigin( trace.HitPos )
effectdata:SetStart( self.Owner:GetShootPos() )
effectdata:SetAttachment( 1 )
effectdata:SetEntity( self.Weapon )
util.Effect( "ToolTracer", effectdata )
if (SERVER) then
local owner=self.Owner
if self.Owner.SENT then
owner=self.Owner.SENT.Entity
end

local explosion = ents.Create( "env_explosion" )
explosion:SetPos(trace.HitPos)
explosion:SetKeyValue( "iMagnitude" , "50" )
explosion:SetPhysicsAttacker(owner)
explosion:SetOwner(owner)
explosion:Spawn()
explosion:Fire("explode","",0)
explosion:Fire("kill","",0 )

end
end

function SWEP:Reload()   
 
   local tr = self.Owner:GetEyeTrace()
        if ( tr.Entity:IsPlayer() ) then
            tr.Entity:Lock()
        else
            return
        end 
 
    local effectdata = EffectData()
        effectdata:SetOrigin( tr.HitPos )
        effectdata:SetNormal( tr.HitNormal )
        effectdata:SetMagnitude( 8 )
        effectdata:SetScale( 1 )
        effectdata:SetRadius( 16 )
    util.Effect( "Sparks", effectdata )
    
    self.Weapon:EmitSound( ShootSound )
    self.BaseClass.ShootEffects( self )
 
// The rest is only done on the server
    if (!SERVER) then
        return
    end
    
end